import * as t from 'io-ts';
import * as tt from 'io-ts-types';
export interface MusicIdBrand {
    readonly MusicId: unique symbol;
}
export declare const musicIdCodec: t.BrandC<t.BrandC<tt.NonEmptyStringC, import("./entity").EntityIdBrand>, MusicIdBrand>;
export type MusicId = t.TypeOf<typeof musicIdCodec>;
export declare const musicCodec: t.TypeC<{
    blogId: t.BrandC<t.BrandC<tt.NonEmptyStringC, import("./entity").EntityIdBrand>, import("./blogs").BlogIdBrand>;
    title: tt.NonEmptyStringC;
    publicUrl: tt.NonEmptyStringC;
    fileId: tt.NonEmptyStringC;
    duration: t.NumberC;
    imageUrl: tt.OptionFromNullableC<tt.NonEmptyStringC>;
}>;
