"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.musicCodec = exports.musicIdCodec = void 0;
var t = require("io-ts");
var tt = require("io-ts-types");
var blogs_1 = require("./blogs");
var entity_1 = require("./entity");
exports.musicIdCodec = t.brand(entity_1.entityIdCodec, function (s) { return true; }, 'MusicId');
exports.musicCodec = t.type({
    blogId: blogs_1.blogIdCodec,
    title: tt.NonEmptyString,
    publicUrl: tt.NonEmptyString,
    fileId: tt.NonEmptyString,
    duration: t.number,
    imageUrl: tt.optionFromNullable(tt.NonEmptyString),
});
